Search documentation of polar_express

# PolarExpress.Schemas.ProductMediaFileCreate (polar_express v0.1.5)

Copy Markdown View Source

ProductMediaFileCreate

Schema to create a file to be used as a product media file.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.ProductMediaFileCreate{
      checksum_sha256_base64: String.t() | nil,
      mime_type: String.t() | nil,
      name: String.t() | nil,
      organization_id: String.t() | nil,
      service: String.t() | nil,
      size: integer() | nil,
      upload: PolarExpress.Schemas.S3FileCreateMultipart.t() | nil,
      version: String.t() | nil
    }

- `checksum_sha256_base64` - Nullable.
- `mime_type` - MIME type of the file. Only images are supported for this type of file.
- `name`
- `organization_id` - Nullable.
- `service`
- `size` - Size of the file. A maximum of 10 MB is allowed for this type of file.
- `upload`
- `version` - Nullable.

## Functions

# schema_name()